DH_MAKESHLIBS(1)

NAME
dh_makeshlibs - erstellt automatisch die Shlibs-Datei und ruft dpkg-gensymbols auf

ÜBERSICHT
dh_makeshlibs [Debhelper-Optionen] [-mHauptnummer] [-V[Abhängigkeiten]] [-n] [-XElement] [-- Parameter]

BESCHREIBUNG
dh_makeshlibs ist ein Debhelper-Programm, das automatisch nach gemeinsam benutzten Bibliotheken sucht und eine Shlibs-Datei für die Dateien erzeugt, die es findet.

Es wird außerdem sicherstellen, das Ldconfig während des Installierens und Entfernens aufgerufen wird, wenn es gemeinsam benutzte Bibliotheken findet. Seit Debhelper 9.20151004wird dies mittels eines Dpkg-Auslösers erledigt. In älteren Versionen von Debhelper würde dh_makeshlibs zu diesem Zweck ein Betreuerskript erzeugen.

DATEIEN

debian/Paket.shlibs
    installiert, falls vorhanden, diese Datei in das Paket als DEBIAN/shlibs. Falls es weggelassen wird, erzeugt Debhelper automatisch eine Shlibs-Datei falls es irgendwelche Bibliotheken entdeckt.

    Beachten Sie, dass diese Datei in Kompatibilitätsmodi 9 und älter durch dh_installdeb(1) anstatt durch dh_makeshlibs installiert wurde.

debian/Paket.symbols
debian/Paket.symbols.Architektur
    Diese Symboldateien werden, falls Sie vorhanden sind, zur Verarbeitung und Installation an dpkg-gensymbols(1) übergeben. Benutzen Sie die für die Architektur spezifischen Dateinamen, falls Sie mehrere unterschiedliche Symbole für unterschiedliche Architekturen bereitstellen müssen.

OPTIONEN

-mHauptnummer, --major=Hauptnummer
    benutzt die nach dem Parameter -m angegebene Hauptnummer, anstatt zu versuchen, die Hauptnummer der Bibliothek mit Objdump zu erraten. Dies ist weit weniger nützlich, wie es früher zu den schlimmen alten Zeiten war, als dieses Programm nach Bibliotheksdateinamen suchte, anstatt Objdump zu verwenden.

-V, -VAbhängigkeiten
--version-info, --version-info=Abhängigkeiten
    Standardmäßig macht die von diesem Programm erzeugte Shlibs-Datei Pakete nicht von einer bestimmten Version des Pakets abhängig, das die gemeinsam benutzte Bibliothek enthält. Es könnte nötig sein, dass Sie der Shlibs-Datei einige Informationen zur Abhängigkeit von Versionen hinzufügen. Falls -V ohne Abhängigkeitsinformationen angegeben wurde, wird die aktuelle Version der Originalautoren des Pakets an eine Abhängigkeit angeschlossen, die die Form »Paketname (>= Paketversion) hat. Beachten Sie, dass der Debian-Teil der Versionsnummer in Kompatibilitätsstufen vor v4 ebenfalls eingefügt wird. Falls -V mit Parametern angegeben wurde, können die Parameter verwandt werden, um die exakte benötigte Abhängigkeitsinformation anzugeben (stellen Sie sicher, dass der Paketname enthalten ist).

    Hüten Sie sich davor, -V ohne irgendwelche Parameter zu benutzen. Dies ist eine konservative Einstellung, die immer sicherstellt, dass die gemeinsam verwendeten Abhängigkeiten von Bibliotheken anderer Pakete so streng wie möglich sind (so lange Ihre Bibliothek nicht anfällig für eine Änderung des ABI ohne Aktualisierung der Versionsnummer der Originalautoren ist), so dass sie nicht zerstört werden, falls der Betreuer sie vermurkst. Die Kehrseite davon ist, dass Pakete mit zu strengen Abhängigkeiten herauskommen könnten und es so schwieriger wird, ein Upgrade durchzuführen.

-n, --no-scripts
    Fügen Sie den Auslöser »ldconfig« selbst dann nicht hinzu, wenn das Paket ihn scheinbar benötigt. Diese Option wird aus historischen Gründen --noscripts genannt, da dh_makeshlibs früher Betreuerskripte erzeugen würde, die ldconfig aufriefen.

-XElement, --exclude=Element
    schließt Dateien aus, die irgendwo in ihrem Datei- oder Verzeichnisnamen Element enthalten, als Bibliotheken betrachtet zu werden.

--add-udeb=Udeb
    erstellt eine zusätzliche Zeile für Udebs in der Shlibs-Datei und benutzt Udeb als Paketnamen für Udebs als Abhängigkeit, an Stelle des regulären Bibliothekpakets.

-- Parameter
    übergibt Parameter an dpkg-gensymbols(1).

BEISPIELE

dh_makeshlibs
    unter der Annahme dass dies ein Paket mit Namen libfoobar1 sei, wird eine Shlibs-Datei erzeugt, die ungefähr so aussieht:
     libfoobar 1 libfoobar1

dh_makeshlibs -V
    unter der Annahme, dass die aktuelle Version des Pakets 1.1-3 ist, wird eine Shlibs-Datei erzeugt, die in etwa wie folgt aussieht:
     libfoobar 1 libfoobar1 (>= 1.1)

dh_makeshlibs -V 'libfoobar1 (>= 1.0)'
    erzeugt eine Shlibs-Datei, die in etwa so aussieht:
      libfoobar 1 libfoobar1 (>= 1.0)

SIEHE AUCH
debhelper(7)

Dieses Programm ist Teil von Debhelper.

ÜBERSETZUNG
Diese Übersetzung wurde mit dem Werkzeug po4a <http://po4a.alioth.debian.org/> durch Chris Leick c.leick@vollbio.de und das deutsche Debian-Übersetzer-Team im Dezember 2011 erstellt.

Bitte melden Sie alle Fehler in der Übersetzung an debian-l10n-german@lists.debian.org oder als Fehlerbericht an das Paket debhelper.

Sie können mit dem folgenden Befehl das englische Original anzeigen man -L en Abschnitt Handbuchseite

AUTOR
Joey Hess <joeyh@debian.org>